Subject: Re: [PATCH/RFC] CPM1: implement GPIO API

From: Scott Wood <[email-masked]>
Date: Thu, 13 Dec 2007 10:48:40 -0600

On Thu, Dec 13, 2007 at 03:53:45AM +0300, Anton Vorontsov wrote:
> No. This is how gpio api is working currently. With gpiolib[1], most of
> these functions will be controller-specific. IIRC, gpiolib is still in
> early development stage, so, for now, we have to limit us to one gpio
> chip controller.
> 
> This works great for us: CPM, CPM2 and QE shouldn't appear on the single
> crystal.

But at least the latter two should be able to co-exist in a single kernel
image...  Oh well, all we can do is hope the saner API makes it in soon. :-)

-Scott